org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.runtime

## Interface ETypedElementEObjectListResult<T extends EObject>

All Superinterfaces:
  ETypedElementResult

    public interface ETypedElementEObjectListResult<T extends EObject>
    extends ETypedElementResult

A representation of the model object 'ETyped Element EObject List Result'. This class represents the result of evaluating the value of a multiplicity-many DerivedTypedElement by means of a multi-valued query .

The following features are supported:

- `Result List`

See Also:
  `RuntimePackage.getETypedElementEObjectListResult()`
Generated:
Model:

### Method Summary

All Methods Instance Methods Abstract Methods
`<any>` `getResultList()` Returns the value of the 'Result List' reference list.

### Methods inherited from interface org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.runtime.ETypedElementResult

`getDerivedTypedElement, getException, getParameterValues, getSource, setDerivedTypedElement, setException, setSource`

### Method Detail

#### getResultList

    <any> getResultList()

Returns the value of the 'Result List' reference list. The list contents are of type `T`.

If the meaning of the 'Result List' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Result List' reference list.
See Also:
  `RuntimePackage.getETypedElementEObjectListResult_ResultList()`
Generated:
Model: